| Home | Libraries | People | FAQ | More

## Struct template istreamable

boost::type_erasure::istreamable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename Is = std::istream, typename T = _self>
    struct istreamable {

      // public static functions
      static void apply(Is &, T &);
    };

## Description

The istreamable concept allows an any to be read from a `std::istream`.

### `istreamable` public static functions

1.     static void apply(Is & out, T & arg);